package com.cr.ui

import android.content.Context
import android.util.AttributeSet
import android.view.MotionEvent
import androidx.viewpager.widget.ViewPager

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/4/10 17:21
 * 描述：禁止或允许的滑动分页组件
 */
class CrNoScrollViewPager@JvmOverloads constructor(
    context: Context,
    attrs:AttributeSet? = null
): ViewPager(context,attrs) {
    // define: 2023/4/10 是否允许滑动
    var isScroll:Boolean = false

    /**
     * 重写触摸事件
     * @param ev MotionEvent 事件
     * @return Boolean 是否拦截
     */
    override fun onTouchEvent(ev: MotionEvent?): Boolean {
        return isScroll
    }

    /**
     * 重写方法
     * @param ev MotionEvent 事件
     * @return Boolean 是否拦截
     */
    override fun onInterceptTouchEvent(ev: MotionEvent?): Boolean {
        return isScroll
    }

    /**
     * 设置是否拦截事件
     * @param isScroll Boolean 是否拦截
     */
    fun crSetIsScroll(isScroll:Boolean){
        this.isScroll = isScroll
    }
}